Subject: Re: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode

From: Hong Xu <[email-masked]>
Date: Tue, 06 Dec 2016 00:52:29 -0800

On 2016-12-05 Mon 23:39 GMT-0800, Katsumi Yamaoka <[email-masked]> wrote:

> On Mon, 05 Dec 2016 22:08:46 -0800, Hong Xu wrote:
>> On 2016-11-24 Thu 15:22 GMT-0800, Hong Xu <[email-masked]> wrote:
>>> Currently in message-mode all cited texts are highlighted in the same
>>> way. It would be nicer if the highlighting of different citation levels
>>> can be easily customized.
>
>> Here is a patch and a screenshot. The default colors I chose may not be
>> optimal -- but I guess I'll leave that part to professionals.
>
>> Add support for different faces for different citation levels in message-mode.
>
> Isn't it redundant as there is this already? ;-)
>
> (defcustom gnus-message-highlight-citation
>   t ;; gnus-treat-highlight-citation ;; gnus-cite dependency
>   "Enable highlighting of different citation levels in message-mode."
>   :version "23.1" ;; No Gnus
>   :group 'gnus-cite
>   :group 'gnus-message
>   :type 'boolean)
>
> Here is my message-mode view:

Thank you pointing it out. However, it seems that
gnus-message-citation-mode does not work for me when using message-mode
from mu4e. I'm not sure whether it relies on the whole gnus to work or
simply I missed something...